Subject: Re: linux-next: Tree for Jan 25 (BROKEN suspend)

From: "Rafael J. Wysocki" <[email-masked]>
Date: Sat, 26 Jan 2013 14:25:47 +0100

On Saturday, January 26, 2013 12:10:32 PM Sedat Dilek wrote:
> On Fri, Jan 25, 2013 at 6:26 AM, Stephen Rothwell <[email-masked]> wrote:
> > Hi all,
> >
> > Changes since 20130124:
> >
> > New trees: ipsec and ipsec-next
> >
> > The powerpc tree still had a build failure.
> >
> > The sound-asoc tree still had its build failure so I used the version from
> > next-20130122.
> >
> > The akpm tree lost its build failure and several patches that turned up
> > elsewhere.
> >
> > ----------------------------------------------------------------------------
> >
> 
> Unfortunately, on suspend or running the pm_test/freezer leads here to
> a frozen machine - hard reset.
> 
> I see 4-5 pages of call-traces but dunno how to log them in such a f-u-ed state.
> Any hints welcome!
> 
> As I saw catched with my left eye on one call-trace sth. with...
> 
>       kernel/watchdog.c (line #245, watchdog_overflow_callback)
> 
> ... I tried to revert the last two commits from Sascha (see -3 patch,
> but no success.
> 
> The same with reverting all cpu-freq changes since v3.8-rc4 (see -4
> patch) after seeing some suspicious lines on the screen.
> 
> Can someone confirm that suspend is BROKEN for him/her before doing
> eventually a bisect?

Can you please test the linux-next branch of the linux-pm.git tree alone?

Rafael

-- 
I speak only for myself.
Rafael J. Wysocki, Intel Open Source Technology Center.